Package com.arms.api.product_service.pdservice.controller

## Class PdServiceController

- java.lang.Object
- - com.arms.egovframework.javaservice.treeframework.controller.TreeAbstractController<PdService,​PdServiceDTO,​PdServiceEntity>
  - - com.arms.api.product_service.pdservice.controller.PdServiceController

-     @Controller
      @RestController
      @RequestMapping("/arms/pdService")
      public class PdServiceController
      extends TreeAbstractController<PdService,​PdServiceDTO,​PdServiceEntity>

- - ### Field Summary

    - ### Fields inherited from class com.arms.egovframework.javaservice.treeframework.controller.TreeAbstractController

      `chat, modelMapper`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `PdServiceController()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `org.springframework.http.ResponseEntity<?>` | `addPdServiceNode​(PdServiceDTO pdServiceDTO)` |
    `org.springframework.http.ResponseEntity<?>` | `addVersionToNode​(PdServiceDTO pdServiceDTO)` |
    `org.springframework.http.ResponseEntity<?>` | `getD3ChartData()` |
    `org.springframework.http.ResponseEntity<?>` | `getNodeWithVersionOrderByCidDesc​(PdServiceDTO pdServiceDTO)` |
    `org.springframework.http.ResponseEntity<java.util.List<PdServiceAndVersionListDTO>>` | `getPdServiceEntityAndVersionList​(PdServiceDTO pdServiceDTO)` |
    `org.springframework.http.ResponseEntity<?>` | `getVersionList​(PdServiceDTO pdServiceDTO)` |
    `org.springframework.http.ResponseEntity<?>` | `getVersionListWithDate​(PdServiceDTO pdServiceDTO)` |
    `void` | `initialize()` |
    `org.springframework.http.ResponseEntity<?>` | `removeAll​(java.lang.Long pdServiceId)` |
    `org.springframework.web.servlet.ModelAndView` | `removeVersion​(javax.servlet.http.HttpServletRequest request)` |
    `org.springframework.web.servlet.ModelAndView` | `updateVersionNode​(PdServiceVersionDTO pdServiceVersionDTO, javax.servlet.http.HttpServletRequest request)` |
    `org.springframework.web.servlet.ModelAndView` | `uploadFileToNode​(org.springframework.web.multipart.MultipartHttpServletRequest multiRequest, javax.servlet.http.HttpServletRequest request)` |

    - ### Methods inherited from class com.arms.egovframework.javaservice.treeframework.controller.TreeAbstractController

      `addNode, alterNode, alterNodeType, analyzeNode, getChildNode, getMonitor, getNode, getNodesWithoutRoot, getPaginatedChildNode, moveNode, removeNode, searchNode, sendMessage, setJsonDefaultSetting, setTreeEntity, setTreeService, updateNode`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PdServiceController

          public PdServiceController()

  - ### Method Detail

    - #### initialize

          @PostConstruct
          public void initialize()

    - #### getNodeWithVersionOrderByCidDesc

          @GetMapping("/getNodeWithVersionOrderByCidDesc")
          public org.springframework.http.ResponseEntity<?> getNodeWithVersionOrderByCidDesc​(PdServiceDTO pdServiceDTO)
                                                                                      throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### addPdServiceNode

          @PostMapping("/addPdServiceNode.do")
          public org.springframework.http.ResponseEntity<?> addPdServiceNode​(@Validated(AddNode.class)
                                                                             PdServiceDTO pdServiceDTO)
                                                                      throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### addVersionToNode

          @PostMapping("/addVersionToNode.do")
          public org.springframework.http.ResponseEntity<?> addVersionToNode​(@RequestBody
                                                                             PdServiceDTO pdServiceDTO)
                                                                      throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### updateVersionNode

          @PutMapping("/updateVersionToNode.do")
          public org.springframework.web.servlet.ModelAndView updateVersionNode​(@RequestBody
                                                                                PdServiceVersionDTO pdServiceVersionDTO,
                                                                                javax.servlet.http.HttpServletRequest request)
                                                                         throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### uploadFileToNode

          @PostMapping("/uploadFileToNode.do")
          public org.springframework.web.servlet.ModelAndView uploadFileToNode​(org.springframework.web.multipart.MultipartHttpServletRequest multiRequest,
                                                                               javax.servlet.http.HttpServletRequest request)
                                                                        throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### getVersionList

          @GetMapping("/getVersionList")
          public org.springframework.http.ResponseEntity<?> getVersionList​(PdServiceDTO pdServiceDTO)
                                                                    throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### getVersionListWithDate

          @GetMapping("/versions-with-date")
          public org.springframework.http.ResponseEntity<?> getVersionListWithDate​(PdServiceDTO pdServiceDTO)
                                                                            throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### getPdServiceEntityAndVersionList

          @GetMapping("/getPdServiceEntityAndVersionList")
          public org.springframework.http.ResponseEntity<java.util.List<PdServiceAndVersionListDTO>> getPdServiceEntityAndVersionList​(PdServiceDTO pdServiceDTO)
                                                                                                                               throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### removeVersion

          @DeleteMapping("/removeVersion.do")
          public org.springframework.web.servlet.ModelAndView removeVersion​(javax.servlet.http.HttpServletRequest request)
                                                                     throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### getD3ChartData

          @GetMapping("/getD3ChartData.do")
          public org.springframework.http.ResponseEntity<?> getD3ChartData()
                                                                    throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### removeAll

          @PostMapping("/removeAll.do/{pdServiceId}")
          public org.springframework.http.ResponseEntity<?> removeAll​(@PathVariable("pdServiceId")
                                                                      java.lang.Long pdServiceId)
                                                               throws java.lang.Exception

      Throws:
        `java.lang.Exception`